---
id: workflow-trigger-list
title: List trigger bindings
description: >-
  Flat list of trigger bindings across workflows and aliases, one row per
  trigger, with live status and webhook URLs.
sidebar_label: List trigger bindings
hide_title: true
hide_table_of_contents: true
api: >-
  eJztV91v2zYQ/1cIvnTDFNkbOnTwW1o0Q4auC9IEKVAY81k8WWwoUiVPcQzD//twpPwZxQa6h+0hfrEk8r5/vyNvKQlmQY6+yDvn70vj5oK8ns3QBznOpMJQeN2QdlaO5IUBEkYHEq5cbxNTbZW2syCg8C4EMe/0BAFWCTAaAoZMOIvCu7lo0K9FMzHXVAmjH1AEAmqTyBynlXP34vb6Q8hlJl2DHtiDSyVHcq3+rFMyYn9kJhvwUCOx36MvS6nZ328t+oXMpIUad0QvlcxkKCqsQY6WkhYNrwby2s7k6jDov6xZbIPkwCu9jTKXq6zfWoroiKVMom1rTn2DUbvMJOdCZrIEbZC91BYK4m/jE35pm/xKVnO5GmcyYNF6TYuYkCmCR3/eUiVHX8a87DE0zgYM7NovwyH/7Zu4qfBJmbkihbOEllgAmsboIpZn8DWw1PJpwG76FYtYJM/FJJ1sKqDdXeA9cP40YR3XSZPhhZvkwlu9ztKh2sPEbJG2LlOWgJhFgHUhcSQev7Xao+Iq7MEjbv/Ilcxktz/BJlV1fBjLjnAfpLbq+la3BvpWG9POtL2Jn3sw9Ah1E9PU8YZFOi//PeTiIxCqc+rTVjpfA8kRlxLPSNeY+PNdYr61/PgnEhwg4xn8dAHfetOTN3ZeKc2YAHO1I0e+xVUmDQR6773zp+3UGALM+ktXONW3sP1l8vXnz0+p9c5otCSQPcgFE23q1EIEWAQxr4DEnJfn3tnZSIBNG8WEzUwyAaJqa7BnHkHB1KCYKCTQZhIBzs1WPIDRKvJScGlbv27CaMkvIjlcWSYUiFKjUUeY3Xg3NVj/1MPwjqNXacdJcnKkgcAq8KoLKgb+w/XFO/Hmt+Eb0dkSKaKQiYD+AZWAICbP+TT5MX9SNXqGMPv+RAgI3iNury8zgfksF5OKqAmjwWBz2IRFIKxzhQ+D6HTYLllHZ6VrrZrke3T8Lh2xG6SUHqP6R0dis/8J2bUlnKHflXg9fB2JySk9pXrTNNPxrJWYl3/r8u7t9K5s2tnQCnzUgQLb1paLWZxwdxNoGCgstY2sDIMDtawvJabnUNiv2pXHwPzox/noNM63Z8xR5jfAx+XR0AJhEwahADsonC117ArPdoxd0boNJCp4QLE+hURnfSFecV95JXe6yK99XeTW4mODBaFKLPFdQ3lh8guTX5j8v2Ry1EmV41lmhmlyYdd2U7uZwPgOz7ROM03LF50NGqHRuW2NaQwQX6jywtV71/5PTO0U/e7lfxMIK1qPJ/yeNsmse7hYX9L+uLuJ1yltS8fi7E8q3s/5MB/KDc7lxx13xPnVZby9ukA1xF7TDUYfeIA8HCsOgbHcNrD/aOzsskT4SIPGgI6obtNdM5VsOzKE7ZQQZ4PKBeL15XIKAW+9Wa34c5oQuZRKB763KTkqwQQ8Evyp8fMZR+9xcTjxPoBpeWOcWL/XgcM586j5zQi8NT3mF6/ZdpxDM1khKPQxK0nqvCiwoR2pJzMma9mQ6Pf3Nzyv7WP7AMtR+7oP2cWO7uUy7bhx92hXK7l2nfhdrsar1eof4VUACw==
sidebar_class_name: get api-method
info_path: docs/api/nullplatform-api
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/workflow-trigger-list'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List trigger bindings"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/workflows/triggers"}
  context={"endpoint"}
>

</MethodEndpoint>

Flat list of trigger bindings across workflows and aliases, one row per trigger, with live status and webhook URLs.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"query","name":"workflowId","schema":{"type":"string"},"description":"Only bindings of this workflow."},{"in":"query","name":"status","schema":{"type":"string","enum":["pending","live","failed","inactive"]},"description":"Only bindings in this status."}]}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"The trigger bindings.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"title":"TriggerBinding","type":"object","description":"One row per workflow, alias, and trigger.","required":["workflowId","aliasName","triggerId","status"],"properties":{"workflowId":{"type":"string"},"aliasName":{"type":"string"},"triggerId":{"type":"string"},"pluginType":{"type":"string","example":"webhook"},"status":{"type":"string","enum":["pending","live","failed","inactive"]},"activatedAt":{"type":"string","format":"date-time"},"deactivatedAt":{"type":"string","format":"date-time"},"runtimeMetadata":{"type":"object","properties":{"webhookUrl":{"type":"string"}},"additionalProperties":true},"lastError":{"type":"object","properties":{"message":{"type":"string"},"code":{"type":"string"}}}}}}}}}}},"4XX":{"description":"Client error. The body says what went wrong: an error `type`, a human-readable `detail`, and, on validation failures, one entry per offending field.","content":{"application/problem+json":{"schema":{"title":"Problem","type":"object","description":"The standard error body (RFC 7807 problem details, served as `application/problem+json`).","properties":{"type":{"type":"string","description":"Error type URI, e.g. `https://workflow-system.dev/errors/workflow-not-found`.","example":"https://workflow-system.dev/errors/workflow-not-found"},"title":{"type":"string","example":"Not found"},"status":{"type":"integer","example":404},"detail":{"type":"string","example":"No workflow with id wf_ifWBbWfpug0n exists"},"instance":{"type":"string","example":"/workflows/definitions/wf_ifWBbWfpug0n"},"errors":{"type":"array","description":"Present on validation failures: one entry per offending field.","items":{"type":"object","properties":{"path":{"type":"string","example":"/steps/scan/config"},"message":{"type":"string","example":"must have required property 'code'"}}}}}}}}},"5XX":{"description":"Unexpected server error.","content":{"application/problem+json":{"schema":{"title":"Problem","type":"object","description":"The standard error body (RFC 7807 problem details, served as `application/problem+json`).","properties":{"type":{"type":"string","description":"Error type URI, e.g. `https://workflow-system.dev/errors/workflow-not-found`.","example":"https://workflow-system.dev/errors/workflow-not-found"},"title":{"type":"string","example":"Not found"},"status":{"type":"integer","example":404},"detail":{"type":"string","example":"No workflow with id wf_ifWBbWfpug0n exists"},"instance":{"type":"string","example":"/workflows/definitions/wf_ifWBbWfpug0n"},"errors":{"type":"array","description":"Present on validation failures: one entry per offending field.","items":{"type":"object","properties":{"path":{"type":"string","example":"/steps/scan/config"},"message":{"type":"string","example":"must have required property 'code'"}}}}}}}}}}}
>

</StatusCodes>

